- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#body.Profile.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users/getProfile#try-it)

Gets the current user's Gmail profile.

### HTTP request

`GET https://gmail.googleapis.com/gmail/v1/users/{userId}/profile`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |

### Request body

The request body must be empty.

### Response body

Profile for a Gmail user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "emailAddress": string, "messagesTotal": integer, "threadsTotal": integer, "historyId": string } ``` |

| Fields ||
|---|---|
| `emailAddress` | `string` The user's email address. |
| `messagesTotal` | `integer` The total number of messages in the mailbox. |
| `threadsTotal` | `integer` The total number of threads in the mailbox. |
| `historyId` | `string` The ID of the mailbox's current history record. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.compose`
- `
  https://www.googleapis.com/auth/gmail.readonly`
- `
  https://www.googleapis.com/auth/gmail.metadata`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).